> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Order



## OpenAPI

````yaml Wallet post /{walletId}/order
openapi: 3.0.1
info:
  title: Wallet
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/wallet/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /{walletId}/order:
    post:
      operationId: postWalletidOrder
      parameters:
        - name: walletId
          in: path
          required: true
          schema:
            type: string
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: token
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletOrderRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    WalletOrderRequest:
      type: object
      properties:
        organizationId:
          type: string
        price:
          $ref: '#/components/schemas/Price'
        amount:
          $ref: '#/components/schemas/OrderRequestAmount'
        context:
          $ref: '#/components/schemas/Context'
        sourceId:
          type: string
        destinationId:
          type: string
        orderType:
          type: string
        orderSide:
          type: string
        operationType:
          $ref: '#/components/schemas/OperationType'
        shipping:
          $ref: '#/components/schemas/Shipping'
        customer:
          $ref: '#/components/schemas/Customer'
        card:
          $ref: '#/components/schemas/Card'
        createdBy:
          type: string
        paymentBrand:
          type: string
        paymentMode:
          type: string
        bankTransfer:
          $ref: '#/components/schemas/BankTransfer'
        savedCard:
          $ref: '#/components/schemas/SavedCard'
        cryptoTransfer:
          $ref: '#/components/schemas/CryptoTransfer'
        saveBeneficiary:
          type: boolean
        isBankTransfer:
          type: boolean
        isCryptoTransfer:
          type: boolean
        paymentType:
          type: string
        merchantTransactionId:
          type: string
        notificationUrl:
          type: string
        merchantRedirectUrl:
          type: string
        customerId:
          type: string
        terminalId:
          $ref: '#/components/schemas/TerminalId'
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    Price:
      type: object
      properties:
        balanceType:
          type: array
          items:
            type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
    OrderRequestAmount:
      type: object
      properties:
        balanceType:
          type: array
          items:
            type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
    Context:
      type: object
      properties:
        priority:
          type: integer
          format: int64
        order:
          type: integer
          format: int64
        enforcementPoint:
          type: array
          items:
            type: string
        action:
          type: string
        conditions:
          $ref: '#/components/schemas/Conditions'
    OperationType:
      type: object
      properties:
        operationType:
          type: string
        assetType:
          type: string
        name:
          type: string
        isSameWallet:
          type: boolean
        ownerId:
          type: string
        operationDestination:
          $ref: '#/components/schemas/OrderOperationDestination'
        limits:
          type: array
          items:
            type: string
        fees:
          type: array
          items:
            type: string
    Shipping:
      type: object
      properties:
        country:
          type: string
        city:
          type: string
        state:
          type: string
        postcode:
          type: string
        street1:
          type: string
    Customer:
      type: object
      properties:
        telnocc:
          type: string
        phone:
          type: string
        email:
          type: string
        givenName:
          type: string
        surname:
          type: string
        ip:
          type: string
    Card:
      type: object
      properties:
        cardNumber:
          type: string
        expiryMonth:
          type: string
        expirtyYear:
          type: string
        cvv:
          type: string
    BankTransfer:
      type: object
      properties:
        bankName:
          type: string
        holderName:
          type: string
        accountNumber:
          type: string
        iban:
          type: string
        bic:
          type: string
        email:
          type: string
        mobileNumber:
          type: string
        currency:
          type: string
        publicId:
          type: string
        network:
          type: string
    SavedCard:
      type: object
      properties:
        cvv:
          type: string
        redirectMethod:
          type: string
        registrationId:
          type: string
        paymentType:
          type: string
        customerIp:
          type: string
        merchantRedirectUrl:
          type: string
        terminalId:
          type: string
    CryptoTransfer:
      type: object
      properties:
        publicId:
          type: string
    TerminalId:
      type: object
      properties: {}
    Conditions:
      type: object
      properties: {}
    OrderOperationDestination:
      type: object
      properties:
        direction:
          type: string
        type:
          type: string
        ownerId:
          type: string
        operationAddresses:
          type: array
          items:
            $ref: '#/components/schemas/OrderOperationAddressesItem'
    OrderOperationAddressesItem:
      type: object
      properties:
        type:
          type: string
        data:
          $ref: '#/components/schemas/OrderData'
        ownerId:
          type: string
    OrderData:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````